import { AuthUIActions, SecurityContextActions } from '@brightlayer-ui/react-native-auth-workflow';
declare type AuthUIActionsFunction = () => AuthUIActions;
declare type AuthUIActionsWithSecurity = (securityHelper: SecurityContextActions) => AuthUIActionsFunction;
/**
 * Example implementation of [[AuthUIActions]] to start with during development.
 *
 * Authentication Actions to be performed based on the user's UI actions. The application will create
 * appropriate actions (often api calls, local network storage, credential updates, etc) and update
 * the global security state based on the actionable needs of the user.
 */
export declare const ProjectAuthUIActions: AuthUIActionsWithSecurity;
export {};
