declare type AuthData = {
    userId: string | undefined;
    email: string | undefined;
    rememberMeData: {
        user: string;
        rememberMe: boolean;
    };
};
declare function readAuthData(): Promise<AuthData>;
declare function saveAuthCredentials(user: string, userId: string): void;
declare function saveRememberMeData(user: string, rememberMe: boolean): void;
declare function clearAuthCredentials(): void;
declare function clearRememberMeData(): void;
export declare const LocalStorage: {
    readAuthData: typeof readAuthData;
    saveAuthCredentials: typeof saveAuthCredentials;
    saveRememberMeData: typeof saveRememberMeData;
    clearAuthCredentials: typeof clearAuthCredentials;
    clearRememberMeData: typeof clearRememberMeData;
};
export {};
