/**
 * @packageDocumentation
 * @module Components
 */
import React from 'react';
import { ImageProps, StyleProp, ViewStyle } from 'react-native';
/**
 * @param style  (Optional) Custom style to style the Cybersecurity Badge.
 */
declare type CybersecurityBadgeProps = {
    containerStyle?: StyleProp<ViewStyle>;
    imageStyle?: StyleProp<ImageProps>;
};
/**
 * Creates a view containing the Cybersecurity Badge image.
 *
 * @category Component
 */
export declare const CybersecurityBadge: React.FC<CybersecurityBadgeProps>;
export {};
