/**
 * @packageDocumentation
 * @module Components
 */
import React from 'react';
import { StyleProp, ViewStyle } from 'react-native';
/**
 * @param icon  (Optional) Icon to use in the icon splash component. Icon 'vpn-key' used if not specified.
 * @param style  (Optional) Custom style to style the icon splash.
 * @param iconSize  (Optional) Size to use for the icon. Size of 90 is used if not specified.
 * @param theme (Optional) react-native-paper theme partial to style the component.
 */
declare type IconSplashProps = {
    icon?: string;
    style?: StyleProp<ViewStyle>;
    iconSize?: number;
    theme?: ReactNativePaper.Theme;
};
/**
 * Renders a white icon on a blue circular background, as commonly used on flow success screens.
 *
 * @category Component
 */
export declare const IconSplash: React.FC<IconSplashProps>;
export {};
