/**
 * @packageDocumentation
 * @module Components
 */
import React from 'react';
/**
 * @param hasHeader  If true, will allocate extra top space to not cover the header bar with the spinner.
 * @param theme (Optional) react-native-paper theme partial to style the component.
 */
declare type SpinnerProps = {
    hasHeader?: boolean;
    theme?: ReactNativePaper.Theme;
};
/**
 * Creates an overlay with an activity indicator above the current hierarchy.
 *
 * @category Component
 */
export declare const Spinner: React.FC<SpinnerProps>;
export {};
