/**
 * @packageDocumentation
 * @module Components
 */
import React from 'react';
import { TextInputRenderProps } from './TextInput';
declare type TextInputSecureRenderProps = TextInputRenderProps;
/**
 * Renders a secure text input with various configuration options such as errorText and custom style.
 * An eye icon appears next to the input to allow the text to be shown temporarily.
 *
 * @category Component
 */
export declare const TextInputSecureRender: React.ForwardRefRenderFunction<{}, // eslint-disable-line @typescript-eslint/ban-types
TextInputSecureRenderProps>;
export declare const TextInputSecure: React.ForwardRefExoticComponent<Pick<TextInputRenderProps, string | number | symbol> & React.RefAttributes<{}>>;
export {};
