/**
 * @packageDocumentation
 * @module Screens
 */
import React from 'react';
/**
 * @param onChangePassword  Function to handle change password action.
 * @param onCancel  Function to handle cancel action.
 * @param onChangeComplete  Function to handle the on change complete action.
 * @param theme (Optional) react-native-paper theme partial to style the component.
 */
declare type ChangePasswordProps = {
    onChangePassword: (oldPassword: string, newPassword: string) => Promise<void>;
    onCancel: () => void;
    onChangeComplete: () => void;
    theme?: ReactNativePaper.Theme;
};
/**
 * Renders the content of the change password screen
 * (inputs current password, new password and confirm password).
 *
 * @category Component
 */
export declare const ChangePassword: React.FC<ChangePasswordProps>;
export {};
